View Issue Details

IDCategoryLast Update
0000063bugs2008-11-20 23:35
ReporteressejAssigned Topaul 
Reproducibilityalways 
Status closedResolutionfixed 
Product Version 
Fixed in Version 
Summary0000063: region sync points need to be tied to audio-file position
DescriptionThe region sync points now move when the region is front-trimmed. They shouldn't, they should be tied to a specific moment in the audio itself, therefore anchored to position-in-file.
TagsNo tags attached.

Activities

paul

2003-10-21 23:21

administrator   ~0000048

i think this is easy to do. we already wrap the sync_offset in an accessor.
store it as an offset from the start of the source. then return
_start - sync_offset if _start > sync_offset, otherwise zero. it will automatically update itself as the region is trimmed.

taybin

2004-05-17 02:54

administrator   ~0000771

Was this ever done?

paul

2004-05-26 12:04

administrator   ~0000833

fixed in pauls code may 25th 2004

Issue History

Date Modified Username Field Change
2003-10-21 14:05 essej New Issue
2003-10-21 23:21 paul Note Added: 0000048
2003-10-21 23:22 paul Status new => acknowledged
2004-05-17 02:54 taybin Note Added: 0000771
2004-05-26 12:04 paul Status acknowledged => resolved
2004-05-26 12:04 paul Resolution open => fixed
2004-05-26 12:04 paul Assigned To => paul
2004-05-26 12:04 paul Note Added: 0000833
2008-11-20 23:35 seablade Status resolved => closed